Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.deploy.providers
Class ScanningAppProvider

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.deploy.providers.ScanningAppProvider

All Implemented Interfaces:
  AppProvider, LifeCycle

Direct Known Subclasses:
  ContextProvider, WebAppProvider

    public abstract class ScanningAppProvider

extends AbstractLifeCycle
implements AppProvider

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary
`protected java.io.FilenameFilter` | `_filenameFilter`

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`protected` | `ScanningAppProvider(java.io.FilenameFilter filter)`

Method Summary
`protected App` | `createApp(java.lang.String filename)` Called by the Scanner.DiscreteListener to create a new App object.
`protected void` | `doStart()`
`protected void` | `doStop()`
`protected void` | `fileAdded(java.lang.String filename)`
`protected void` | `fileChanged(java.lang.String filename)`
`protected void` | `fileRemoved(java.lang.String filename)`
`protected java.util.Map<java.lang.String,App>` | `getDeployedApps()`
`DeploymentManager` | `getDeploymentManager()` Get the deploymentManager.
`Resource` | `getMonitoredDir()` Deprecated.
`java.lang.String` | `getMonitoredDirName()`
`Resource` | `getMonitoredDirResource()`
`int` | `getScanInterval()`
`boolean` | `isRecursive()`
`void` | `setDeploymentManager(DeploymentManager deploymentManager)` Set the Deployment Manager
`void` | `setMonitoredDir(Resource dir)` Deprecated. use `setMonitoredDirResource(Resource)`
`void` | `setMonitoredDir(java.lang.String dir)` Deprecated. use `setMonitoredDirName(String)`
`void` | `setMonitoredDirName(java.lang.String dir)`
`void` | `setMonitoredDirResource(Resource contextsDir)`
`protected void` | `setRecursive(boolean recursive)`
`void` | `setScanInterval(int scanInterval)`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.deploy.AppProvider
`createContextHandler`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Field Detail

### _filenameFilter

    protected final java.io.FilenameFilter _filenameFilter

Constructor Detail

### ScanningAppProvider

    protected ScanningAppProvider(java.io.FilenameFilter filter)

Method Detail

### getDeployedApps

    protected java.util.Map<java.lang.String,App> getDeployedApps()

  Returns:
    The index of currently deployed applications.

### createApp

    protected App createApp(java.lang.String filename)

  Called by the Scanner.DiscreteListener to create a new App object. Isolated in a method so that it is possible to override the default App object for specialized implementations of the AppProvider.

  Parameters:
    `filename` - The file that is the context.xml. It is resolved by `Resource.newResource(String)`
  Returns:
    The App object for this particular context definition file.

### doStart

    protected void doStart()
                    throws java.lang.Exception

  Overrides:
    `doStart` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### doStop

    protected void doStop()
                   throws java.lang.Exception

  Overrides:
    `doStop` in class `AbstractLifeCycle`
  Throws:
    `java.lang.Exception`

### fileAdded

    protected void fileAdded(java.lang.String filename)
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fileChanged

    protected void fileChanged(java.lang.String filename)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### fileRemoved

    protected void fileRemoved(java.lang.String filename)
                        throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getDeploymentManager

    public DeploymentManager getDeploymentManager()

  Get the deploymentManager.

  Returns:
    the deploymentManager

### getMonitoredDir

    @Deprecated
    public Resource getMonitoredDir()

  Deprecated.

### getMonitoredDirResource

    public Resource getMonitoredDirResource()

### getMonitoredDirName

    public java.lang.String getMonitoredDirName()

### getScanInterval

    public int getScanInterval()

### isRecursive

    public boolean isRecursive()

### setDeploymentManager

    public void setDeploymentManager(DeploymentManager deploymentManager)

  Description copied from interface: `AppProvider`
  Set the Deployment Manager

  Specified by:
    `setDeploymentManager` in interface `AppProvider`

### setMonitoredDir

    public void setMonitoredDir(Resource dir)

  Deprecated. use `setMonitoredDirResource(Resource)`

### setMonitoredDir

    public void setMonitoredDir(java.lang.String dir)

  Deprecated. use `setMonitoredDirName(String)`

### setMonitoredDirResource

    public void setMonitoredDirResource(Resource contextsDir)

### setMonitoredDirName

    public void setMonitoredDirName(java.lang.String dir)

  Parameters:
    `dir` - Directory to scan for context descriptors or war files

### setRecursive

    protected void setRecursive(boolean recursive)

### setScanInterval

    public void setScanInterval(int scanInterval)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.